version: '3'

networks:
  backend:

services:
  nginx:
    image: nginx:stable-alpine
    restart: always
    ports:
      - "80:80"
    volumes:
      - ${SRC_ROOT}:/app
      # - ./nginx/sites/local.conf:/etc/nginx/conf.d/default.conf
      - ./nginx/sites/${ENV}.conf:/etc/nginx/conf.d/default.conf
      - ./nginx/${ENV}.default.conf:/etc/nginx/${ENV}.default.conf
    depends_on:
      - php
      - mysql
      - phpmyadmin
    # links:
    #   - php
    networks:
      - backend

  mysql:
    image: mysql:8.0
    restart: unless-stopped
    tty: true
    volumes:
      - ${SRC_ROOT}/mysql:/var/lib/mysql
    ports:
      - "3306:3306"
    environment:
      MYSQL_DATABASE: pmo
      MYSQL_USER: hilo
      MYSQL_PASSWORD: secret
      MYSQL_ROOT_PASSWORD: secret
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    networks:
      - backend
  php:
    build:
      context: .
      dockerfile: Dockerfile
    # extends:
    #   file: base-php/base-php.yml
    #   service: base-php
    restart: always
    working_dir: /app
    volumes:
      - ${SRC_ROOT}:/app
      - ${SRC_ROOT}/etc/php/php.ini:/usr/local/etc/php/conf.d/php.ini
    ports:
      - "9000:9000"
    # links:
    #   - mysql
    networks:
      - backend

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    restart: unless-stopped
    depends_on:
      - mysql
    ports:
      - "8009:80"
    environment:
      PMA_HOST: mysql
      MYSQL_ROOT_PASSWORD: secret
      PMA_USER: hilo
      PMA_PASSWORD: secret
      PMA_ARBITRARY: 1
    # links:
    #   - mysql
    networks:
      - backend


